@extends('layouts.app')

@section('content')
  <div class="container">
    <div class="row">
      <div class="col-md-10 col-md-offset-1">
        <div class="panel panel-default">
          <div class="panel-heading">
            Checkout Complete
          </div>

          <div class="panel-body">
            <table align='center' class='table'>
              <tr>
                <th>
                  <h4>
                    St. John Catholic Church
                    <br>
                    Car Show Silent Auction
                    <br>
                    2099 N. Hacker Rd.
                    <br>
                    Howell, MI 48855
                  </h4>
                </th>
                <th align='right'>
                  <h2>
                    <a class="btn btn-primary" target=_blank href="receiptpdf?checkout_id={{$checkout_result }}" role="button">
                      Print Receipt
                    </a>
                  </h2>
                </th>
              </tr>
            </table>
            <table align='center' class='table table-striped table-condensed table-hover table-bordered'>
              @foreach($checkout_info_results as $checkout_info_result)
                <tr>
                  <th colspan="2">
                    <h4>
                      Bidder Number: {{ $checkout_info_result->bidder_assigned_number }}
                    </h4>
                  </th>
                  <th colspan="2">
                    <h4>
                      Total: ${{ $checkout_info_result->total_cost }}
                    </h4>
                  </th>
                </tr>
                <tr>
                  <th colspan="2">
                    Name: {{ $checkout_info_result->bidder_fname }} {{ $checkout_info_result->bidder_lname }}
                  </th>
                  <th colspan="2">
                    Phone Number: {{ $checkout_info_result->bidder_phone }}
                  </th>
                </tr>
                <tr>
                  <th>
                    Address: {{ $checkout_info_result->bidder_addr }}
                  </th>
                  <th>
                    City: {{ $checkout_info_result->bidder_city }}
                  </th>
                  <th>
                    State: {{ $checkout_info_result->bidder_state }}
                  </th>
                  <th>
                    Zip: {{ $checkout_info_result->bidder_zip }}
                  </th>
                </tr>
              @endforeach
            </table>
            @if($checkout_list_results)
              <table align='center' class='table table-striped table-condensed table-hover table-bordered'>
                <tr>
                  <th>
                    Item Number:
                  </th>
                  <th>
                    Item Description:
                  </th>
                  <th>
                    Winning Bid:
                  </th>
                </tr>
                @foreach($checkout_list_results as $checkout_list_result)
                  <tr>
                    <td>
                      {{ $checkout_list_result->item_assigned_num }}
                    </td>
                    <td>
                      {{ $checkout_list_result->item_desc }}
                    </td>
                    <td>
                      ${{ $checkout_list_result->winning_cost }}
                    </td>
                  </tr>
                @endforeach
              </table>
            @else
              <h3>
                No Winning Bids
              </h3>
            @endif
            <table align='center' class='table table-striped table-condensed table-bordered'>
              <tr>
                <th>
                  <h4>
                    PAID
                  </h4>
                </th>
                <th>
                  @if($payment_method==1)
                    <h4>
                      CASH
                    </h4>
                  @elseif($payment_method==2)
                    <h4>
                      CHECK Number {{ $check_number }}
                    </h4>
                  @else
                    <h4>
                      CREDIT {{ $cc_transaction }}
                    </h4>
                  @endif
                </th>
              </tr>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
@endsection
